Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoPointMutation< FType, Node > Class Template Reference
[ParseTree]

eoPointMutation --> replace a Node with a Node of the same arity More...

`#include <gp/eoParseTreeOp.h>`

Inheritance diagram for eoPointMutation< FType, Node >:

List of all members.

## Public Types
typedef eoParseTree< FType, Node > | EoType
## Public Member Functions
| eoPointMutation (std::vector< Node > &_initializor)
| Constructor.
virtual std::string | className () const
| the class name
virtual | ~eoPointMutation ()
| Dtor.
bool | operator() (EoType &_eo1)
| Mutate an individual.
## Private Attributes
std::vector< Node > & | initializor

## Detailed Description

### template<class FType, class Node>
class eoPointMutation< FType, Node >

eoPointMutation --> replace a Node with a Node of the same arity

Definition at line 147 of file eoParseTreeOp.h.

## Constructor & Destructor Documentation

template<class FType, class Node>
eoPointMutation< FType, Node >::eoPointMutation | ( | std::vector< Node > & | _initializor | ) | `[inline]`

  | Constructor. Parameters:
  | _initializor | The std::vector of Nodes given to the eoGpDepthInitializer
Definition at line 157 of file eoParseTreeOp.h.

## Member Function Documentation

template<class FType, class Node>
bool eoPointMutation< FType, Node >::operator() | ( | EoType & | _eo1 | ) | `[inline]`

  | Mutate an individual. Parameters:
  | _eo1 | The individual that is to be changed
Definition at line 171 of file eoParseTreeOp.h. References eoRng::random().

The documentation for this class was generated from the following file:

- eoParseTreeOp.h